Package org.globus.gsi.stores

# Class ResourceCRL

java.lang.Object
org.globus.gsi.stores.AbstractResourceSecurityWrapper<X509CRL>
org.globus.gsi.stores.ResourceCRL

All Implemented Interfaces:
  `SecurityObjectWrapper<X509CRL>`, `Storable`

public class ResourceCRL extends AbstractResourceSecurityWrapper<X509CRL>
Created by IntelliJ IDEA. User: turtlebender Date: Dec 29, 2009 Time: 12:41:39 PM To change this template use File | Settings | File Templates.

## Field Summary

### Fields inherited from class org.globus.gsi.stores.AbstractResourceSecurityWrapper

`globusResolver, globusResource`

## Constructor Summary

Constructors
Constructor
Description
`ResourceCRL(boolean inMemory, GlobusResource globusResource)`
`ResourceCRL(String fileName)`
`ResourceCRL(String fileName, X509CRL crl)`

## Method Summary

Modifier and Type
Method
Description
`protected X509CRL`
`create(GlobusResource resource)`
`X509CRL`
`getCrl()`
`void`
`store()`

### Methods inherited from class org.globus.gsi.stores.AbstractResourceSecurityWrapper

`getAlias, getFile, getGlobusResource, getResourceURL, getSecurityObject, hasChanged, init, init, init, init, refresh`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceCRL

public ResourceCRL(String fileName) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### ResourceCRL

public ResourceCRL(boolean inMemory, GlobusResource globusResource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### ResourceCRL

public ResourceCRL(String fileName, X509CRL crl) throws ResourceStoreException

Throws:
  `ResourceStoreException`

## Method Details

### getCrl

public X509CRL getCrl() throws ResourceStoreException

Throws:
  `ResourceStoreException`

### create

protected X509CRL create(GlobusResource resource) throws ResourceStoreException

Specified by:
  `create` in class `AbstractResourceSecurityWrapper<X509CRL>`
Throws:
  `ResourceStoreException`

### store

public void store() throws ResourceStoreException

Throws:
  `ResourceStoreException`